    /*=======================================
                Product Archives
    ========================================*/

    .woocommerce {

        .the_content {
            background-color: #F8F7F3;
            padding: 30px 0 100px 0;
        }

        .the_content .container {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            width: 100%;
        }

        .the_content .container .filters-mobile {
            width: 100%;
            order: -2;
            margin-bottom: 20px;
            color: var(--black);
        }

        .the_content .container .filters-mobile p {
            font-style: normal;
            font-weight: 400;
            font-size: 14px;
            line-height: 1;
        }

        .the_content .container .filters-mobile .icon {
            display: none;
        }

        .the_content .container .woof_sid {
            width: calc(20%);
            padding: 0;
        }

        .woof_results_by_ajax_shortcode,
        .woof_shortcode_output {
            width: calc(80%);
            padding-left: 100px;
        }

        .woof_results_by_ajax_shortcode .woof_shortcode_output {
            width: 100%;
            padding-left: 0;
        }

        #woof_results_by_ajax .woof_products_top_panel {
            display: none !important;
        }

        .woocommerce-ordering,
        .woocommerce-result-count {
            display: none;
        }


        /* Grid */

        .the_content .container .grid ul.products {
            margin: 0;
        }

        .the_content .container .grid ul.products {
            display: flex;
            flex-direction: row;
            justify-content: flex-start;
            flex-wrap: wrap;
            margin: 0 -8px;
        }

        .the_content .container .grid ul.products li.product,
        .woocommerce ul.products li.product {
            float: none !important;
            width: calc(100% / 6 - 16px);
            margin: 0 8px 40px 8px;
        }

        /* Filters */

        .woof_sid_auto_shortcode {
            border: none;
            border-radius: 0;
            background: #F8F7F3;
            box-shadow: none;
        }

        .woof_edit_view {
            display: none;
        }

        /* Active Filters */

        .woof_products_top_panel li {
            font-size: 18px;
        }

        .woof_products_top_panel li span {
            background: url('/wp-content/themes/rs-robertson/images/grey-x.png');
            background-size: 15px 15px;
            background-repeat: no-repeat;
            background-position: right;
            padding-right: 20px;
        }

        .woof_products_top_panel li span:hover {
            background-size: 15px 15px;
        }

        /* Checkbox Containers */

        .woof_container_checkbox {
            margin-bottom: 30px;
        }

        .woof_sid_auto_shortcode .woof_container {
            float: none;
            width: 100%;
        }

        .woof_container_inner h4 {
            font-family: Grifo, sans-serif;
            font-style: normal;
            font-weight: 500;
            font-size: 24px;
            line-height: 1;
            letter-spacing: 0.02em;
            color: var(--black);
            margin-bottom: 10px;
        }

        .woof_checkbox_label_selected {
            font-weight: normal;
        }

        .woof_list li {
            padding: 0 !important;
            margin: 0 !important;
            line-height: 1.2;
        }

        .woof_list.woof_list_color li {
            margin: 0 5px 5px 0 !important;
        }

        input:disabled {
            background-color: white;
        }

        .woof_list_checkbox {
            display: flex;
            flex-direction: row;
            justify-content: flex-start;
            align-items: unset;
            flex-wrap: wrap;

            li {

                input[type="checkbox"] {
                    display: none;
                }

                .woof_checkbox_label {
                    display: inline-block !important;
                    background-color: #ECE9DD;
                    color: var(--black);
                    padding: 10px;
                    font-size: 14px;
                    line-height: 1.2;
                    margin: 0 6px 6px 0;
                    border-radius: 3px;
                    /* transition: all 0.3s ease-in-out; */

                    &:hover,
                    &.woof_checkbox_label_selected {
                        background-color: var(--black);
                        color: #ECE9DD;
                    }

                }

            }

        }

        .woof_container_quick_ship .woof_list_checkbox {
            height: auto;
            overflow-y: visible;
        }

        .woof_sid_auto_shortcode .woof_container_inner {
            padding-left: 0;
        }

        .woof_products_top_panel {
            display: none !important;
        }

        /* Scrollbars */

        /* ::-webkit-scrollbar {
            width: 15px;
        }

        ::-webkit-scrollbar-track {
            background-color: #EAEAEA;
        }

        ::-webkit-scrollbar-thumb {
            background-color: #95AAAE;
        } */

        /* Colours */

        .woof_container_color {
            margin-bottom: 30px;
        }

        .woof_color_term {
            width: 25px;
            height: 25px;
            border-radius: 100%;
            border: none;
        }

        .woof_color_term:hover,
        .woof_color_term.checked {
            border-style: solid;
            border: 1px solid black;
        }

        p:hover.woof_tooltip span.woof_tooltip_data {
            margin-left: -20px;
        }

        p.woof_tooltip span.woof_tooltip_data span,
        .woof_checkbox_count {
            display: none;
        }

        .yith-infs-loader img {
            width: auto;
        }

        .woof_redraw_zone {
            display: flex;
            flex-direction: column;
            position: relative;
        }

        .woof_submit_search_form_container {
            display: inline-block;
            position: absolute;
            top: -47px;
            right: 0;
        }

        .woof_submit_search_form_container button.button {
            color: var(--black);
            font-size: 14px;
            font-weight: 400;
            text-decoration: underline;
            padding: 0;
            background-color: transparent;
        }


        /* Remove Border */

        .woof_container_inner.woof_container_inner_quickship .woof_block_html_items {
            border-top: none !important;
        }


        /* Promo Blocks */

        .promo {
            width: calc((100% / 6) * 2 - 16px);
            margin: 0 8px 40px 8px;
            display: flex;
            flex-direction: row;
            justify-content: center;
            align-items: center;
            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;

            @media (max-width: 2300px) {
                width: calc((100% / 5) * 2 - 16px);
            }

            @media (max-width: 1900px) {
                width: calc((100% / 4) * 2 - 16px);
            }

            @media (max-width: 1500px) {
                width: calc((100% / 3) * 2 - 16px);
            }

            @media (max-width: 1050px) {
                width: calc(100% - 16px);
                height: 400px;
            }

            .button {
                font-size: 30px;

                @media (max-width: 450px) {
                    font-size: 24px;
                }

            }

        }

        /* Schedule Box */

        .schedule-info {
            margin-top: 15px;
            padding: 15px;
            background-color: #ECE9DD;
            display: flex;
            flex-direction: row;
            justify-content: flex-start;
            align-items: center;
            border-radius: 3px;
        }

        .schedule-info img {
            width: 20px;
            display: inline-block;
            vertical-align: middle;
        }

        .schedule-info p {
            display: inline-block;
            width: calc(100% - 20px);
            padding-left: 12px;
            font-weight: 400;
            font-size: 16px;
            line-height: 1.3;
            color: var(--black);
        }

        @media only screen and (max-width: 2300px) {

            .the_content .container .grid ul.products li.product,
            .woocommerce ul.products li.product {
                width: calc(100% / 5 - 16px);
            }

        }

        @media only screen and (max-width: 1900px) {

            .the_content .container .grid ul.products li.product,
            .woocommerce ul.products li.product {
                width: calc(100% / 4 - 16px);
            }

        }

        @media only screen and (max-width: 1500px) {

            .the_content .container .grid ul.products li.product,
            .woocommerce ul.products li.product {
                width: calc(100% / 3 - 16px);
            }

        }

        @media only screen and (max-width: 1200px) {

            .the_content .container .woof_sid {
                width: 250px;
            }

            .woof_results_by_ajax_shortcode,
            .woof_shortcode_output {
                width: calc(100% - 250px);
                padding-left: 50px;
            }

            .woof_results_by_ajax_shortcode .woof_shortcode_output {
                width: 100%;
                padding-left: 0;
            }

        }

        @media only screen and (max-width: 1050px) {

            .the_content .container .grid ul.products li.product,
            .woocommerce ul.products li.product {
                width: calc(50% - 16px);
            }

        }

        @media only screen and (max-width: 1000px) {

            .the_content .container .woof_sid {
                width: 100%;
            }

            .woof_results_by_ajax_shortcode,
            .woof_shortcode_output {
                width: 100%;
                padding-left: 0;
            }

            .the_content .woof_redraw_zone {
                display: none;
                background-color: #fff;
                padding: 20px;
            }

            .the_content .container .filters-mobile {
                background-color: #fff;
                padding: 10px 15px;
                margin-bottom: 10px;
                align-items: center;
            }

            .the_content .container .filters-mobile .icon {
                display: block;
                font-size: 30px;
                position: relative;
                top: -2px;
            }

            .the_content .container .grid ul.products li.product,
            .woocommerce ul.products li.product {
                width: calc(50% - 16px);
            }

            .schedule-info {
                display: none;
            }

            .woof_submit_search_form_container {
                position: static;
                text-align: center;
                width: 100%;
            }

        }

        @media only screen and (max-width: 500px) {

            .the_content .container .grid ul.products li.product,
            .woocommerce ul.products li.product {
                width: calc(100%);
            }

            /* .the_content .container .filters-mobile,
            .the_content .woof_redraw_zone {
                width: 100vw;
                margin-left: -30px;
                margin-right: -30px;
            } */

        }

    }







    /*=======================================
                Product Cards
    ========================================*/

    .woocommerce ul.products li.product {
        background-color: #fff;
        display: flex;
        flex-direction: column;
        transition: all 0.3s ease-in-out;

        &:hover {
            box-shadow: 4px 4px 14px 0 rgba(0, 0, 0, 0.15);
        }

    }

    .woocommerce ul.products li.product .image {
        position: relative;

        .rollovers {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            z-index: 5;

            .rollover-image {
                display: none;
                background-color: #fff;
            }

        }

        .cover {
            z-index: 10;
        }

    }

    .woocommerce ul.products li.product .card-main {
        padding: 10px 15px;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        flex-grow: 1;
    }

    .woocommerce ul.products li.product .woocommerce-loop-product__title {
        font-size: 20px;
        line-height: 1.2;
        margin-bottom: 15px;
    }

    .woocommerce ul.products li.product .options {
        justify-content: flex-start;
        align-items: flex-end;
        margin-top: 0;
        width: 100%;
    }

    .woocommerce ul.products li.product a {
        width: 100%;
    }

    .woocommerce ul.products li.product .options .option {
        width: 25px;
        height: 25px;
        border-radius: 100%;
        margin-right: 10px;
        margin-bottom: 10px;
        cursor: pointer;
        position: relative;
    }







    /*========================================================================================================================
                                                        Single Product
    ========================================================================================================================*/

    /* Product Page Wrapper */

    #primary {
        margin-top: 103px;

        @media (max-width: 1100px) {
            margin-top: 97px;
        }

        @media (max-width: 600px) {
            margin-top: 70px;
        }

        @media (max-width: 450px) {
            margin-top: 87px;
        }

    }

    .single-product .the_content {
        background-color: #fff;
        padding-bottom: 0;
    }

    .woocommerce div.product {
        width: 100%;
        margin-bottom: 100px;

        @media (max-width: 600px) {
            margin-bottom: 50px;
        }

    }



    /*=======================================
                85 Badge
    ========================================*/

    .single-product .collection-symbol {
        position: absolute;
        top: 10px;
        left: calc(48% - 85px);
        width: 75px;
        height: auto;
        z-index: 7;

        @media (max-width: 1000px) {
            left: auto;
            right: calc(15% + 10px);
        }

        @media (max-width: 600px) {
            width: 50px;
            right: calc(15% + 10px);
        }

        @media (max-width: 450px) {
            right: calc(10px);
        }

    }



    /*=======================================
                Breadcrumb
    ========================================*/

    .breadcrumb {
        background-color: #faf9f6;
        padding: 10px 20px;
        font-size: 12px;
        line-height: 20px;
    }

    .breadcrumb .separator {
        margin: 0 5px;
    }

    .breadcrumb a,
    .breadcrumb a:hover {
        text-decoration: none;
    }

    /*=======================================
                Image Gallery
    ========================================*/

    .wpgis-slider-nav {
        display: none;
    }

    .wpgis-slider-for .btn-prev,
    .wpgis-slider-for .btn-next {
        top: auto;
        bottom: -50px;
        opacity: 1 !important;
        font-size: 30px;
    }

    .wpgis-slider-for .btn-prev {
        margin-left: 0;
        left: 43%;
    }

    .wpgis-slider-for .btn-next {
        margin-right: 0;
        right: 43%;
    }

    .woocommerce div.product div.images .slick-list {
        border: 1px solid #95AAAE;
    }

    .wpgis-slider-for {
        overflow: visible;
    }

    @media only screen and (max-width: 1000px) {

        .woocommerce div.product div.images {
            width: 70%;
            margin: 0 auto 70px auto;
            float: none;
        }

        .woocommerce div.product div.summary {
            width: 100%;
        }

        .wpgis-slider-for .btn-prev {
            left: 35%;
        }

        .wpgis-slider-for .btn-next {
            right: 35%;
        }

    }

    @media only screen and (max-width: 768px) {}

    @media only screen and (max-width: 450px) {

        .woocommerce div.product div.images {
            width: 100%;
            margin: 0 auto 70px auto;
            float: none;
        }

    }


    /*=======================================
                Product Info
    ========================================*/

    .woocommerce div.product .product_title {
        font-style: normal;
        font-weight: 500;
        font-size: 40px;
        line-height: normal;
        color: #262E36;
        margin: 10px 0;
        font-family: 'Grifo';

        @media (max-width: 800px) {
            font-size: 35px;
        }

        @media (max-width: 600px) {
            font-size: 30px;
        }

        @media (max-width: 450px) {
            font-size: 28px;
        }

    }

    /* Options */

    .options {
        justify-content: flex-start;
        margin-top: 30px;
    }

    .options .option {
        width: 30px;
        height: 30px;
        border-radius: 100%;
        margin-right: 8px;
        cursor: pointer;
        position: relative;
    }

    /* Meta */

    .meta {
        font-size: 20px;
        line-height: 1.2;
        color: #262E36;

        @media (max-width: 600px) {
            font-size: 18px;
        }
    }

    /* Short Description */

    .short-desc {
        margin-top: 50px;
        font-style: normal;
        font-weight: 300;
        font-size: 18px;
        line-height: 1.5;
        color: #262E36;

        @media (max-width: 600px) {
            font-size: 16px;
            margin-top: 30px;
        }

        p {
            margin-bottom: 20px;
        }

    }


    /* Schedule Button */

    .buttons {
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;
        flex-wrap: wrap;

        .schedule-button {
            width: 100%;
            margin-bottom: 20px;
        }

        .yith-wcwl-add-to-wishlist {
            margin: 0;

            @media (max-width: 450px) {
                width: 100%;
                margin-bottom: 10px;
            }

            .add_to_wishlist {
                border-radius: 3px;
                padding: 14px 20px;
                height: 50px;
                color: #262e36;
                font-size: 18px;
                text-align: center;
                transition: all 0.3s ease-in-out;
                background-color: #ECE9DD;
                font-weight: 400;
                text-decoration: none;
                margin-right: 10px;

                @media (max-width: 450px) {
                    width: 100%;
                }

                &:hover {
                    background-color: #CFC7AB;
                }

                img {
                    width: 15px;
                    margin-right: 10px;
                }

            }

            /* View Wishlist */

            .yith-wcwl-wishlistexistsbrowse,
            .yith-wcwl-wishlistaddedbrowse {
                border: none;
                border-radius: 3px;
                padding: 12px 20px;
                height: 50px;
                color: #262e36;
                font-size: 18px;
                text-align: center;
                transition: all 0.3s ease-in-out;
                background-color: #ECE9DD;
                font-weight: 400;
                text-decoration: none;
                margin-right: 10px;
                cursor: pointer;

                &:hover {
                    background-color: #CFC7AB;
                }

                @media (max-width: 450px) {
                    width: 100%;
                }

                img {
                    width: 15px;
                    margin-right: 10px;
                }

            }

            /* Logged Out */

            .yith-wcwl-add-button {

                .disabled_item {
                    display: none;
                }

            }

        }

        /* Regular */

        .button {
            margin-right: 10px !important;

            @media (max-width: 450px) {
                width: 100%;
                margin-right: 0 !important;
                margin-bottom: 10px !important;
            }

        }

    }


    /* 3D viewer */

    #modelviewer {
        width: 48%;
        height: auto;
        position: absolute;
        left: 0;
        top: 0;
        padding: 1px;
        aspect-ratio: 1/1;

        @media (max-width: 1000px) {
            width: 70%;
            left: auto;
            right: 15%;
        }

        @media (max-width: 450px) {
            width: 100%;
            right: 0;
        }

        #woo3dv-viewer {
            width: 100%;
            height: auto;
            max-width: none !important;
            max-height: none !important;
            opacity: 0;
            pointer-events: none;
            transition: all 0.3s ease-in-out;
        }

        &.open {

            #woo3dv-viewer {
                opacity: 1;
                pointer-events: all;
            }

        }

        .toggle {
            width: 70px;
            height: auto;
            position: absolute;
            bottom: -55px;
            right: 10px;
            cursor: pointer;

            svg {
                width: 100%;
                height: auto;
            }

            @media (max-width: 1000px) {
                width: 60px;
                bottom: -52px;
            }

        }

    }




    /*=======================================
                Related Products
    ========================================*/

    .related.products {
        clear: both;
        background-color: #ECE9DD;
        padding: 50px 0 100px;
    }

    .related.products ul.products {
        margin: 0 -8px;
        justify-content: flex-start;
    }

    .related.products ul.products li.product {
        width: calc(25% - 16px);
        margin: 0 8px 40px 8px;
    }

    .woocommerce ul.products li.product a img {
        margin-bottom: 0;
    }

    .woocommerce ul.products li.product .woocommerce-loop-product__title {
        line-height: 1.2;
    }

    .related.products h2 {
        font-style: normal;
        font-weight: 500;
        font-size: 50px;
        line-height: 56px;
        color: #262E36;
        margin-bottom: 50px;
    }

    @media only screen and (max-width: 1050px) {

        .related.products h2 {
            font-size: 40px;
        }

    }

    @media only screen and (max-width: 1100px) {

        .related.products ul.products li.product {
            width: calc(100% / 3 - 16px);
        }

    }

    @media only screen and (max-width: 800px) {

        .related.products ul.products li.product {
            width: calc(50% - 16px);
        }

    }

    @media only screen and (max-width: 600px) {

        .related.products {
            padding: 50px 0;
        }

        .related.products h2 {
            margin-bottom: 30px;
        }

        .related.products ul.products li.product {
            width: 100%;
            margin-bottom: 20px;
        }

    }

    .theme-rs-robertson .woocommerce-error,
    .theme-rs-robertson .woocommerce-info,
    .theme-rs-robertson .woocommerce-message {
        padding: 1em 2em 1em 3.5em;
        margin: 0 0 10px;
        position: relative;
        background-color: #fff;
        color: var(--black);
        border-top: 3px solid var(--black);
        list-style: none outside;
        width: auto;
        word-wrap: break-word;

        &:before {
            color: var(--black);
        }

    }

    .theme-rs-robertson.woocommerce-account .woocommerce-error,
    .theme-rs-robertson.woocommerce-account .woocommerce-info,
    .theme-rs-robertson.woocommerce-account .woocommerce-message {
        background-color: #F8F7F3;
    }




    /*=======================================
                Schedule Popup
    ========================================*/

    .theme-rs-robertson .pp_woocommerce {
        position: fixed;
        top: 100px !important;

        .pp_content_container {
            background-color: #F8F7F3;
        }

        .yith-wcwl-popup-content {

            .heading-icon img {
                width: 30px;
                display: inline-block;
            }

            .popup-description a {
                text-decoration: none;
                pointer-events: none;
            }

            .tab.create {

                .form-row:last-of-type {
                    display: none;
                }

                input[type="radio"] {
                    accent-color: var(--black);
                }

            }

        }

        .yith-wcwl-popup-footer,
        .yith-wcwl-wishlist-new {

            .wishlist-privacy-radio {
                display: none;
            }

            .popup_button,
            .create-wishlist-button {
                border: 1px solid #262e36;
                border-radius: 3px;
                padding: 15px 30px;
                color: #fff;
                font-size: 18px;
                text-align: center;
                transition: all 0.3s ease-in-out;
                background-color: var(--black);
                font-weight: 400;
                text-decoration: none;
                cursor: pointer;
                width: 100%;
                display: block;

                &:hover {
                    opacity: 0.8;
                }

            }

        }

        .pp_details {
            padding: 0;
        }



    }